Page MenuHomePhabricator

Update ContentTranslation mediawiki_selenium Ruby gem to version 1.x
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterUpdate mediawiki_selenium Ruby gem to version 1.6

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Medium.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added subscribers: zeljkofilipin, Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 11:47 AM

Change 245863 had a related patch set uploaded (by Zfilipin):
WIP Update mediawiki_selenium Ruby gem to version 1.x

https://gerrit.wikimedia.org/r/245863

Looks like api is not available in pages:

https://gerrit.wikimedia.org/r/#/c/245863/1/tests/browser/features/support/pages/red_link_page.rb,cm

https://github.com/wikimedia/mediawiki-selenium/blob/master/UPGRADE.md#refactor-use-of-deprecated-apipage

...
  Scenario: Anonymous user using Dutch as UI language viewing a page that doesn't have a corresponding page in the target language # features/red_link_anon.feature:17
    Given I am on a page with an interlanguage link to "da"                                                                        # features/step_definitions/red_link_steps.rb:1
      undefined local variable or method `api' for #<RedLinkPage:0x007f808182a650> (NameError)
      ./features/support/pages/red_link_page.rb:26:in `create_page'
...
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 14 2015, 10:57 AM
Amire80 moved this task from CX7 to Upstream on the ContentTranslation board.

Argh, now it fails with bad URI(is not URI?): Red interlanguage link test (URI::InvalidURIError):

$ MEDIAWIKI_PASSWORD=not-the-real-one MEDIAWIKI_ENVIRONMENT=beta bundle exec cucumber features/red_link_anon.feature:14
@firefox @language-stage.wmflabs.org
Feature: New translation from interlanguage link
  
  As a registered wiki editor who uses a wiki in a different language
  I can initiate a translation directly from the content page,
  so that I can immediately discover how to contribute.
  
  Design:
  - http://pauginer.github.io/prototype-uls/#mies
  
  These scenarios check that anonymous users don't see any red interlanguage links.

  Scenario: Anonymous user using the wiki's content language viewing a page that doesn't have a corresponding page in the target language # features/red_link_anon.feature:13
    Given I am on a page with an interlanguage link to "da"                                                                               # features/step_definitions/red_link_steps.rb:1
      bad URI(is not URI?): Red interlanguage link test (URI::InvalidURIError)
      ./features/step_definitions/red_link_steps.rb:3:in `/^I am on a page with an interlanguage link to "(.+?)"$/'
      features/red_link_anon.feature:14:in `Given I am on a page with an interlanguage link to "da"'
    Then I should not see any red links in the list of the interlanguage links                                                            # features/step_definitions/red_link_steps.rb:53

Failing Scenarios:
cucumber features/red_link_anon.feature:13 # Scenario: Anonymous user using the wiki's content language viewing a page that doesn't have a corresponding page in the target language

1 scenario (1 failed)
2 steps (1 failed, 1 skipped)
0m5.378s

Change 245863 merged by jenkins-bot:
Update mediawiki_selenium Ruby gem to version 1.6

https://gerrit.wikimedia.org/r/245863

zeljkofilipin closed this task as Resolved.Nov 6 2015, 10:59 AM